Vehicles
Vehicles. Authorization: Bearer ak_.... Required scope includes read:fleet. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/fleet/vehicles?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}Create a vehicle. Authorization: Bearer ak_.... Required scope includes write:fleet. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/fleet/vehicles?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}One vehicle. Authorization: Bearer ak_.... Required scope includes read:fleet. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/fleet/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}Patch a vehicle. Authorization: Bearer ak_.... Required scope includes write:fleet. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/fleet/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}Fuel logs for a vehicle. Authorization: Bearer ak_.... Required scope includes read:fleet. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/fleet/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/fuel-logs?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}Record a fuel log. Authorization: Bearer ak_.... Required scope includes write:fleet. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/fleet/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/fuel-logs?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}Mileage logs for a vehicle. Authorization: Bearer ak_.... Required scope includes read:fleet. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/fleet/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/mileage-logs?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}Record a mileage log. Authorization: Bearer ak_.... Required scope includes write:fleet. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/fleet/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/mileage-logs?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}Maintenance logs for a vehicle. Authorization: Bearer ak_.... Required scope includes read:fleet. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/fleet/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/maintenance-logs?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}Record a maintenance log. Authorization: Bearer ak_.... Required scope includes write:fleet. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/fleet/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/maintenance-logs?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}